01 March 2019

KLCERT-19-023: UltraVNC Stack-based Buffer Overflow

Timeline

Timeline

  • Kaspersky ICS CERT advisory published

    March 2019

  • Vendor advisory published

    March 2019

  • Vulnerability patched

    February 2019

  • Vulnerability reported

    January 2019

Description

UltraVNC revision 1211 has a stack buffer overflow vulnerability in VNC server code inside file transfer request handler, which can results Denial of System (DoS). This attack appear to be exploitable via network connectivity. This vulnerability has been fixed in revision 1212.

Exploitability

Remotely

Attack complexity

Low

User interaction

None

Impact

Successful exploitation of this vulnerability could allow an attacker to execute arbitrary code.

Existence of exploit

Unknown

Affected products

UltraVNC before 1.2.2.3

Mitigation

Vendor mitigation

Update UltraVNC to revision 1212.

Kaspersky Lab publishes information on newly identified vulnerabilities in order to raise user awareness of the IT security threats detected. Kaspersky Lab does not make any guarantees in respect of information received from vendors of products in which vulnerabilities have been identified, which is included in the following sections of the advisory: Affected Products, Vendor Mitigation.

Timeline

  • Kaspersky ICS CERT advisory published

    March 2019

  • Vendor advisory published

    March 2019

  • Vulnerability patched

    February 2019

  • Vulnerability reported

    January 2019